Hyper3D Rodin
ਇੰਟੀਗ੍ਰੇਟ ਕਰੋ
hyper3d/rodin
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/hyper3d/rodin?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": ""
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/hyper3d/rodin?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": ""
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/hyper3d/rodin", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/pa/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "hyper3d/rodin",
"input": {
"prompt": ""
}
}
Doitong API ਰਾਹੀਂ Hyper3D Rodin ਮਾਡਲ (hyper3d/rodin) ਨੂੰ ਕਾਲ ਕਰੋ। ਏਜੰਟਾਂ ਲਈ ਦਸਤਾਵੇਜ਼: https://doitong.com/pa/developers/models/hyper3d/rodin.md
POST https://api.doitong.com/v1/run/hyper3d/rodin?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": ""
}
ਜੇ ਜਵਾਬ ਦੀ ਸਥਿਤੀ "queued" ਜਾਂ "running" ਹੈ, ਤਾਂ GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 ਨੂੰ ਉਦੋਂ ਤੱਕ ਪੋਲ ਕਰੋ ਜਦੋਂ ਤੱਕ ਇਹ "succeeded" ਨਾ ਹੋ ਜਾਵੇ; ਫ਼ਾਈਲਾਂ outputs[].url ਵਿੱਚ ਹਨ। ਉਸੇ ਬਾਡੀ ਨਾਲ POST https://api.doitong.com/v1/quote/hyper3d/rodin ਚਲਾਉਣ ’ਤੇ ਰਨ ਤੋਂ ਪਹਿਲਾਂ ਸਹੀ ਕੀਮਤ ਮਿਲ ਜਾਂਦੀ ਹੈ।
ਇਹ ਬੇਨਤੀ: $0.40 400 API ਕ੍ਰੈਡਿਟ ਇਸ ਪੰਨੇ ’ਤੇ ਚਲਾਓ
ਤੁਹਾਡੀ ਨਵੀਂ API ਕੁੰਜੀ। ਇਹ ਸਿਰਫ਼ ਹੁਣ ਦਿਖਾਈ ਜਾਂਦੀ ਹੈ ਅਤੇ ਪਹਿਲਾਂ ਹੀ ਕੋਡ ਅਤੇ ਹੇਠਾਂ ਦਿੱਤੇ API ਕੁੰਜੀ ਖੇਤਰ ਵਿੱਚ ਮੌਜੂਦ ਹੈ। ਇਸਨੂੰ ਗੁਪਤ ਰੱਖੋ: ਇਸਨੂੰ ਕਦੇ ਵੀ ਬ੍ਰਾਊਜ਼ਰ ਵਿੱਚ ਚੱਲਣ ਵਾਲੇ ਕੋਡ ਵਿੱਚ ਨਾ ਰੱਖੋ।
ਤੁਹਾਡਾ ਪਹਿਲਾ ਨਤੀਜਾ ਇੱਥੇ ਹੋਵੇਗਾ
ਹੇਠਾਂ ਬੇਨਤੀ ਬਣਾਓ ਅਤੇ ਆਪਣੀ API ਕੁੰਜੀ ਨਾਲ ਚਲਾਓ। ਆਉਟਪੁੱਟ ਸਾਡੇ ਸਟੋਰੇਜ ਵਿੱਚ ਕਾਪੀ ਕੀਤੇ ਜਾਂਦੇ ਹਨ ਅਤੇ ਹਮੇਸ਼ਾ ਲਈ ਜਾਂ ਮੁਫ਼ਤ ਵਿੱਚ 7 ਦਿਨ ਤੱਕ ਰੱਖੇ ਜਾਂਦੇ ਹਨ।
ਰਿਕਵੈਸਟ ਬਣਾਓ
ਕੰਟਰੋਲ ਮਾਡਲ ਸਕੀਮਾ ਤੋਂ ਤਿਆਰ ਹੁੰਦੇ ਹਨ। ਤੁਸੀਂ ਬਦਲਾਅ ਕਰਦੇ ਹੀ ਕੋਡ ਅਤੇ ਕੀਮਤ ਅੱਪਡੇਟ ਹੋ ਜਾਂਦੇ ਹਨ।
/run/hyper3d/rodin?wait=20
ਕੋਟ → $0.40
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/hyper3d/rodin?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": ""
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/hyper3d/rodin?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": ""
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/hyper3d/rodin", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "hyper3d/rodin",
"input": {
"prompt": ""
},
"wait_seconds": 20
}
}
}
ਇਹ ਬੇਨਤੀ ਚਲਾਓ
ਤੁਹਾਡੀ key ਇਸ ਬ੍ਰਾਊਜ਼ਰ ਵਿੱਚ ਰਹਿੰਦੀ ਹੈ: ਇਹ ਸਿਰਫ਼ Doitong API ਨੂੰ ਭੇਜੀ ਜਾਂਦੀ ਹੈ ਅਤੇ ਸਿਰਫ਼ ਤਾਂ ਹੀ (localStorage) ਵਿੱਚ ਸੁਰੱਖਿਅਤ ਹੁੰਦੀ ਹੈ ਜੇ ਤੁਸੀਂ Remember ਚੁਣੋ। API ਕੁੰਜੀ ਪ੍ਰਾਪਤ ਕਰੋ
Hyper3D Rodin ਬਾਰੇ
ਵੱਧ ਤੋਂ ਵੱਧ 1024 ਅੱਖਰਾਂ ਦੇ ਪ੍ਰਾਂਪਟ, ਇਨਪੁੱਟ ਚਿੱਤਰਾਂ ਜਾਂ ਦੋਵਾਂ ਤੋਂ 3D ਮਾਡਲ ਬਣਾਉਂਦਾ ਹੈ। ਬਹੁ-ਚਿੱਤਰ ਇਨਪੁੱਟ ਲਈ `condition_mode` fuse ਜਾਂ concat ਹੁੰਦਾ ਹੈ। ਵਿਕਲਪਾਂ ਵਿੱਚ extra-low ਤੋਂ high ਤੱਕ `quality`, PBR ਜਾਂ Shaded `material`, Regular ਜਾਂ Sketch `tier`, `TAPose`, `bbox_condition`, ਅਤੇ glb, usdz, fbx, obj ਜਾਂ stl ਐਕਸਪੋਰਟ ਸ਼ਾਮਲ ਹਨ।
ਪੈਰਾਮੀਟਰ
promptਵਿਕਲਪਿਕ
input_image_urlsਵਿਕਲਪਿਕ
condition_modeਵਿਕਲਪਿਕ
seedਵਿਕਲਪਿਕ
geometry_file_formatਵਿਕਲਪਿਕ
materialਵਿਕਲਪਿਕ
qualityਵਿਕਲਪਿਕ
use_hyperਵਿਕਲਪਿਕ
tierਵਿਕਲਪਿਕ
TAPoseਵਿਕਲਪਿਕ
bbox_conditionਵਿਕਲਪਿਕ
addonsਵਿਕਲਪਿਕ
ਫ਼ਾਈਲ ਪੈਰਾਮੀਟਰ ਜਨਤਕ https:// URL, 10 MB ਤੱਕ ਦਾ data: URI, ਜਾਂ ਅੱਪਲੋਡ ਦੇ file_url ਨੂੰ ਸਵੀਕਾਰਦੇ ਹਨ। ਫ਼ਾਈਲਾਂ
ਆਉਟਪੁੱਟ
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "hyper3d/rodin",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 400,
"usd": "0.40",
"charged": 400,
"refunded": 0
},
"input": {
"prompt": ""
},
"output": {
"model_mesh": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"seed": 42,
"textures": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
]
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
ਆਉਟਪੁੱਟ ਦੇ ਫ਼ੀਲਡ
- model_mesh
- object {url, content_type, file_name, file_size}ਸਿਰਜੀ ਗਈ 3D ਵਸਤੂ ਵਾਲੀ ਫ਼ਾਈਲ।
- seed
- integerਸਿਰਜਣਾ ਦੌਰਾਨ ਲਾਗੂ ਕੀਤਾ ਗਿਆ ਸੀਡ।
- textures
- array of object {url, content_type, file_name, file_size, width, height}3D ਆਬਜੈਕਟ ਲਈ ਬਣਾਏ ਗਏ ਟੈਕਸਚਰ।
ਹੋਰ ਮਾਡਲ: ਚਿੱਤਰ ਤੋਂ 3D
AI ਏਜੰਟਾਂ ਲਈ: ਇਹ ਪੰਨਾ Markdown ਵਜੋਂ ਇੱਥੇ ਹੈ https://doitong.com/pa/developers/models/hyper3d/rodin.md. ਸਾਰੇ ਮਾਡਲ ਅਤੇ ਗਾਈਡ: https://doitong.com/developers/llms.txt